"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const command_1 = require("@oclif/command");
const install_1 = require("../../install");
const ui_1 = require("../../ui");
class LmInstall extends command_1.Command {
    async run() {
        const { flags } = this.parse(LmInstall);
        try {
            const installed = await install_1.installPlatform(flags.force);
            if (installed) {
                ui_1.printBanner(this, flags.force);
            }
        }
        catch (error) {
            this.log(error);
        }
    }
}
LmInstall.description = `Configures your computer to use Netlify Large Media.
It installs the required credentials helper for Git,
and configures your Git environment with the right credentials.
`;
LmInstall.usage = 'lm:install';
LmInstall.examples = [
    '$ <%= config.bin %> lm:install'
];
LmInstall.aliases = ['lm:init'];
LmInstall.flags = {
    force: command_1.flags.boolean({
        char: 'f',
        description: 'Force the credentials helper installation'
    })
};
exports.default = LmInstall;
