"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const os = require("os");
const path = require("path");
const install_1 = require("./install");
const boxen = require('boxen');
const chalk = require('chalk');
function printBanner(command, force) {
    const print = force || !binInPath();
    const platform = os.platform();
    if (print && platform !== 'win32') {
        const shellInfo = install_1.shellVariables();
        const banner = chalk.bold(`Run this command to use Netlify Large Media in your current shell\n\nsource ${shellInfo.path}`);
        command.log(boxen(banner, { padding: 1, margin: 1, align: 'center', borderColor: '#00c7b7' }));
    }
}
exports.printBanner = printBanner;
function binInPath() {
    const envPath = (process.env.PATH || '');
    const binPath = install_1.joinBinPath();
    return envPath.replace(/["]+/g, '').split(path.delimiter).find((part) => part === binPath);
}
